package com.bjtdba.entity.thirdPartyWares;

import java.math.BigDecimal;

public class WaresDetail {

    /**
     * 商品图片
     */
    private String pict_url;

    /**
     * 商品名称
     */
    private String title;

    /**
     * 商品原价
     */
    private Number reserve_price;

    /**
     * 券后价
     */
    private Number zk_final_price;

    /**
     * 优惠券
     */
    private String link;

    /**
     * 详情
     */
    private String[] small_images;

    private String couponStartTime;//开始时间
    private String couponEndTime;//结束时间
    private BigDecimal yanglao;//养老金
    private BigDecimal gongxian;//新增贡献值值 20250107
    private BigDecimal jifen;//新增积分值 20250107
    private BigDecimal pv;
    public BigDecimal getPv() {
        return pv;
    }

    public void setPv(BigDecimal pv) {
        this.pv = pv;
    }
    
    public BigDecimal getJifen() {
        return jifen;
    }

    public void setJifen(BigDecimal jifen) {
        this.jifen = jifen;
    }

    public BigDecimal getGongxian() {
        return gongxian;
    }

    public void setGongxian(BigDecimal gongxian) {
        this.gongxian = gongxian;
    }


    public BigDecimal getYanglao() {
        return yanglao;
    }

    public void setYanglao(BigDecimal yanglao) {
        this.yanglao = yanglao;
    }

    public String getCouponStartTime() {
        return couponStartTime;
    }

    public void setCouponStartTime(String couponStartTime) {
        this.couponStartTime = couponStartTime;
    }

    public String getCouponEndTime() {
        return couponEndTime;
    }

    public void setCouponEndTime(String couponEndTime) {
        this.couponEndTime = couponEndTime;
    }

    public String getPict_url() {
        return pict_url;
    }

    public void setPict_url(String pict_url) {
        this.pict_url = pict_url;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Number getReserve_price() {
        return reserve_price;
    }

    public void setReserve_price(Number reserve_price) {
        this.reserve_price = reserve_price;
    }

    public Number getZk_final_price() {
        return zk_final_price;
    }

    public void setZk_final_price(Number zk_final_price) {
        this.zk_final_price = zk_final_price;
    }


    public String[] getSmall_images() {
        return small_images;
    }

    public void setSmall_images(String[] small_images) {
        this.small_images = small_images;
    }
}
